Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

ezerror.php
Go to the documentation of this file.
1 <?php
15 class eZError
16 {
17
21 const KERNEL_ACCESS_DENIED = 1;
25 const KERNEL_NOT_FOUND = 2;
29 const KERNEL_NOT_AVAILABLE = 3;
33 const KERNEL_MOVED = 4;
37 const KERNEL_LANGUAGE_NOT_FOUND = 5;
38
42 const KERNEL_MODULE_NOT_FOUND = 20;
46 const KERNEL_MODULE_VIEW_NOT_FOUND = 21;
50 const KERNEL_MODULE_DISABLED = 22;
51
52
56 const KERNEL_NO_DB_CONNECTION = 50;
57
58 //Shop system error codes
59 const SHOP_OK = 0;
60 const SHOP_NOT_A_PRODUCT = 1;
61 const SHOP_BASKET_INCOMPATIBLE_PRODUCT_TYPE = 2;
62 const SHOP_PREFERRED_CURRENCY_DOESNOT_EXIST = 3;
63 const SHOP_PREFERRED_CURRENCY_INACTIVE = 4;
64
65
66 }
67
68 ?>
eZError
Definition: ezerror.php:16
eZError\KERNEL_ACCESS_DENIED
const KERNEL_ACCESS_DENIED
Definition: ezerror.php:21
eZError\SHOP_PREFERRED_CURRENCY_INACTIVE
const SHOP_PREFERRED_CURRENCY_INACTIVE
Definition: ezerror.php:63
eZError\KERNEL_MODULE_NOT_FOUND
const KERNEL_MODULE_NOT_FOUND
Definition: ezerror.php:42
eZError\KERNEL_MODULE_DISABLED
const KERNEL_MODULE_DISABLED
Definition: ezerror.php:50
eZError\SHOP_BASKET_INCOMPATIBLE_PRODUCT_TYPE
const SHOP_BASKET_INCOMPATIBLE_PRODUCT_TYPE
Definition: ezerror.php:61
eZError\KERNEL_NO_DB_CONNECTION
const KERNEL_NO_DB_CONNECTION
Definition: ezerror.php:56
eZError\KERNEL_LANGUAGE_NOT_FOUND
const KERNEL_LANGUAGE_NOT_FOUND
Definition: ezerror.php:37
eZError\SHOP_OK
const SHOP_OK
Definition: ezerror.php:59
eZError\SHOP_NOT_A_PRODUCT
const SHOP_NOT_A_PRODUCT
Definition: ezerror.php:60
eZError\KERNEL_MOVED
const KERNEL_MOVED
Definition: ezerror.php:33
eZError\KERNEL_NOT_AVAILABLE
const KERNEL_NOT_AVAILABLE
Definition: ezerror.php:29
eZError\SHOP_PREFERRED_CURRENCY_DOESNOT_EXIST
const SHOP_PREFERRED_CURRENCY_DOESNOT_EXIST
Definition: ezerror.php:62
eZError\KERNEL_NOT_FOUND
const KERNEL_NOT_FOUND
Definition: ezerror.php:25
eZError\KERNEL_MODULE_VIEW_NOT_FOUND
const KERNEL_MODULE_VIEW_NOT_FOUND
Definition: ezerror.php:46
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.